#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%define		pdir	Locale
%define		pnam	Msgcat
Summary:	Locale::Msgcat - access the XPG4 message catalog functions
Summary(pl.UTF-8):	Locale::Msgcat - dostęp do funkcji katalogów komunikatów XPG4
Name:		perl-Locale-Msgcat
Version:	1.03
Release:	21
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Locale/%{pnam}-%{version}.tar.gz
# Source0-md5:	8dbfee7b81e94cf946c9f28ab0bc5291
URL:		http://search.cpan.org/dist/Locale-Msgcat/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Locale::Msgcat module allows access to the XPG4 message catalog
functions (catopen(3), catgets(3) and catclose(3)), which are
available on some systems.

%description -l pl.UTF-8
Moduł Locale::Msgcat oferuje dostęp do katalogu komunikatów XPG4
poprzez funkcje catopen(3), catgets(3) and catclose(3), dostępne na
niektórych systemach.

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorarch}/Locale/*.pm
%dir %{perl_vendorarch}/auto/Locale/Msgcat
%attr(755,root,root) %{perl_vendorarch}/auto/Locale/Msgcat/*.so
%changelog
* Fri May 07 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Locale-Msgcat.git;a=log;h=master

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 39041db
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 228c9ac
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> b44ea30
- rebuild with perl 5.30.0
- release 20 (by relup.sh)

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> c5b17f9
- rebuild with perl 5.28.0
- release 19 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 791211e
- perl req/prov fix
- release 18 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 135efd9
- rebuild with perl 5.26
- release 17 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> a71039d
- rebuild with perl 5.24.0
- release 16 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 5f909fc
- release 15 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 54311c8
- x32 rebuild
- release 14 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 2e123a7
- release 13 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 907a24c
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> d3f0db7
- rebuild for perl 5.20
- release 12 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> b9cff24
- rebuild with perl 5.18.0
- release 11 (by relup.sh)

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> d009c9b
- dropped pre-cvs changelog

* Fri Jan 28 2011 sparky <sparky@pld-linux.org> b4d4e6f
- BR: rpm-perlprov

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> b740b73
- release 10

* Mon Mar 24 2008 Jakub Bogusz <qboosh@pld-linux.org> 16523a6
- generic URL

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 9736cc9
- rel 9

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 031a9c3
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 4910f9b
- tabs in preamble

